package com.ruoyi.app.mapper;

import java.util.List;
import com.ruoyi.app.domain.PigCategory;
import com.ruoyi.app.domain.Pigpen;

/**
 * 生猪分类Mapper接口
 * 
 * @author coede
 * @date 2025-03-19
 */
public interface PigCategoryMapper 
{
    /**
     * 查询生猪分类
     * 
     * @param id 生猪分类主键
     * @return 生猪分类
     */
    public PigCategory selectPigCategoryById(Long id);

    /**
     * 查询生猪分类列表
     * 
     * @param pigCategory 生猪分类
     * @return 生猪分类集合
     */
    public List<PigCategory> selectPigCategoryList(PigCategory pigCategory);

    /**
     * 校验分类名称是否唯一
     *
     * @param categoryName 分类名称
     * @return 结果
     */
    public PigCategory checkCategoryNameUnique(String categoryName);

    /**
     * 新增生猪分类
     * 
     * @param pigCategory 生猪分类
     * @return 结果
     */
    public int insertPigCategory(PigCategory pigCategory);

    /**
     * 修改生猪分类
     * 
     * @param pigCategory 生猪分类
     * @return 结果
     */
    public int updatePigCategory(PigCategory pigCategory);

    /**
     * 删除生猪分类
     * 
     * @param id 生猪分类主键
     * @return 结果
     */
    public int deletePigCategoryById(Long id);

    /**
     * 批量删除生猪分类
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deletePigCategoryByIds(Long[] ids);
}
